Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

Get a single topic message value

Fetch the full value of a single topic message on demand (e.g. for oversized messages).

GET/topics/messages/value
Authorization
AuthorizationBearer token · headerrequired
Query parameters
topic_idstringrequired

Kafka topic name

partitionintegerrequired

Partition number

min 0
offsetintegerrequired

Message offset within partition

min 0
Responses
200

Successful Response

object
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET "https://api.streamkap.com/topics/messages/value?topic_id=string&partition=0&offset=0" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{}